=== debian/control ===
Source: ros-foxy-tricycle-controller
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ackermann-msgs, ros-foxy-ament-cmake, ros-foxy-ament-cmake-gmock <!nocheck>, ros-foxy-controller-interface, ros-foxy-controller-manager <!nocheck>, ros-foxy-geometry-msgs, ros-foxy-hardware-interface, ros-foxy-nav-msgs, ros-foxy-pluginlib, ros-foxy-rclcpp, ros-foxy-rclcpp-lifecycle, ros-foxy-rcpputils, ros-foxy-realtime-tools, ros-foxy-ros2-control-test-assets <!nocheck>, ros-foxy-std-srvs, ros-foxy-tf2, ros-foxy-tf2-msgs, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-tricycle-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-ackermann-msgs, ros-foxy-controller-interface, ros-foxy-geometry-msgs, ros-foxy-hardware-interface, ros-foxy-nav-msgs, ros-foxy-rclcpp, ros-foxy-rclcpp-lifecycle, ros-foxy-rcpputils, ros-foxy-realtime-tools, ros-foxy-std-srvs, ros-foxy-tf2, ros-foxy-tf2-msgs, ros-foxy-ros-workspace
Description: Controller for a tricycle drive mobile base
